# Consultar entidades bancarias

Obtén las entidades bancarias habilitadas para realizar intentos de pago. Es importante tener el cuenta la moneda y el tipo de proceso que vas a realizar.

## Ruta

<mark style="color:blue;">`GET`</mark> `/v1/merchant/payment/intent/entities`

## **Encabezado**

<table><thead><tr><th width="244">Name</th><th width="138">Type</th><th>Description</th></tr></thead><tbody><tr><td>x-auth-token<mark style="color:red;">*</mark></td><td>String</td><td>Es el código generado a partir del proceso de autenticación.</td></tr><tr><td>Content-Type</td><td>String</td><td><p>Es el tipo de contenido que se está enviando en la solicitud.</p><p><em><code>Ejemplo: application/json</code></em></p></td></tr></tbody></table>

## **Cuerpo**

<table><thead><tr><th width="223">Name</th><th width="154">Type<select><option value="8B5k2YmvoPQH" label="string" color="blue"></option></select></th><th>Description</th></tr></thead><tbody><tr><td><code>type</code></td><td><span data-option="8B5k2YmvoPQH">string</span></td><td><p>Es el tipo de intento del que se requiere el listado de bancos.<br></p><p><mark style="color:green;"><code>PSE | CASH</code></mark></p></td></tr><tr><td><code>currency</code></td><td><span data-option="8B5k2YmvoPQH">string</span></td><td><p>Código que identifica la divisa de la dispersión en formato ISO 4217.<br></p><p><mark style="color:green;"><code>COP | USD</code></mark><br><em>Por defecto es <code>COP</code></em></p></td></tr></tbody></table>

## **Respuesta**

{% tabs %}
{% tab title="200 PSE" %}

```json
{
    "entities": [
        {
            "code": 1815,
            "name": "Alianza Fiduciaria",
            "logos": {
                "default": "https://content.trazo.co/payments/logos/1815.png",
                "circle": "https://content.trazo.co/payments/logos/1815-circle.png",
                "horizontal": "https://content.trazo.co/payments/logos/1815-horizontal.png"
            }
        },
        {...}
    ]
}
```

{% endtab %}

{% tab title="200 CASH" %}
{% code overflow="wrap" %}

```json
{
    "entities": [
        {
            "id": 2001,
            "name": "Cajero Bancolombia",
            "type": "atm",
            "logo": "https://content.trazo.co/logos/2001.png",
            "logo_circle": "https://content.trazo.co/logos/2001-circle.png",
            "instructions": "Puedes realizar el pago en cualquier cajero multifuncional de Bancolombia, la confirmación puede tardar entre 5 y 7 minutos, y no reinicies la transacción una vez hecho el pago",
            "agreement": {
                "code": 8790,
                "bar_code": "7709998888999",
                "name": "Recaudo Logístico Trazo",
                "min_amount": 0,
                "max_amount": 9999999,
                "reference": {
                    "type": "pin",
                    "format": "numeric",
                    "length": 6
                }
            }
        },
        {...}
    ]
}
```

{% endcode %}
{% endtab %}

{% tab title="400" %}

```json
{
    "error": "No bank was found with the provided parameters. Please try again with a different type (type)."
}
```

{% endtab %}
{% endtabs %}

***

## Ejemplo

{% tabs %}
{% tab title="cURL" %}

```bash
curl --location --request GET '{{base_url}}/v1/merchant/payment/intent/entities' \
--header 'x-auth-token: {{token}}' \
--data '{
    "currency": "COP",
    "type": "PSE"
}'
```

{% endtab %}

{% tab title="NodeJS(Axios)" %}

```javascript
const axios = require('axios');

let data = JSON.stringify({
  "currency": "COP",
  "type": "pse"
});


let config = {
  method: 'get',
  maxBodyLength: Infinity,
  url: `${base_url}/v1/merchant/payment/intent/entities`,
  headers: { 
    'x-auth-token': token //Añadir token
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = f"{base_url}/v1/merchant/payment/intent/entities"

payload = json.dumps({
  "currency": "COP",
  "type": "pse"
})

headers = {
  'x-auth-token': token #Añadir token
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qentaz.com/documentation/cobros/intento-de-pago/consultar-entidades-bancarias.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
